package im.zhaojun.system.model;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;

import java.io.Serializable;
import java.util.List;

public class CodeData implements Serializable {

    private static final long serialVersionUID = -494076170058276436L;

    public static long getSerialVersionUID() {
        return serialVersionUID;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getAlarmlevel() {
        return alarmlevel;
    }

    public void setAlarmlevel(String alarmlevel) {
        this.alarmlevel = alarmlevel;
    }


    /**
 	* 部门ID
	*/
    @JsonProperty("id")

    private String key ;

    /**
	* 部门名称
	*/
    @JsonProperty("name")
    private String name;

    private String type;

    private String alarmlevel;


    private Integer maxnumvalue;
    private Integer alarmnum;

    public Integer getMaxnumvalue() {
        return maxnumvalue;
    }

    public void setMaxnumvalue(Integer maxnumvalue) {
        this.maxnumvalue = maxnumvalue;
    }

    public Integer getAlarmnum() {
        return alarmnum;
    }

    public void setAlarmnum(Integer alarmnum) {
        this.alarmnum = alarmnum;
    }
}